#
# Conditional build:
%bcond_with	tests	# don't perform "make tests"
%bcond_with	dynamic	# link libstdc++ and libgcc dynamically
#
Summary:	AppArmor userlevel parser utility
Summary(pl.UTF-8):	Narzędzie przestrzeni użytkownika do przetwarzania AppArmor
Name:		apparmor-parser
Version:	4.0.3
Release:	1
Epoch:		1
License:	GPL v2
Group:		Applications/System
Source0:	https://launchpad.net/apparmor/4.0/%{version}/+download/apparmor-%{version}.tar.gz
# Source0-md5:	d581e358c470cb14f98cb838910ddf9e
Source1:	%{name}.init
Patch0:		%{name}-pld.patch
# Drop when upstream does cache rebuild based on hash and not on mtime
Patch1:		%{name}-cache-rebuild.patch
Patch2:		cap.patch
URL:		https://wiki.apparmor.net/
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext-tools
BuildRequires:	libapparmor-devel >= 1:%{version}
BuildRequires:	libcap-devel
BuildRequires:	libstdc++-devel
# for apparmor_profile which links statically sometimes
%if %{without dynamic}
BuildRequires:	libapparmor-static
BuildRequires:	libstdc++-static
%endif
BuildRequires:	perl-tools-pod
%if %{with tests}
%if %(test -e /sys/kernel/security/apparmor/features ; echo $?)
# apparmor enabled kernel running and fs mounted
BuildRequires:	/sys/kernel/security/apparmor/features
%endif
BuildRequires:	perl-Locale-gettext
BuildRequires:	perl-Test-Harness
BuildRequires:	perl-tools-devel
Requires(post,preun): /sbin/chkconfig
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AppArmor Parser is a userlevel program that is used to load in program
profiles to the AppArmor Security kernel module. This package is part
of a suite of tools that used to be named SubDomain.

%description -l pl.UTF-8
AppArmor Parser to program przestrzeni użytkownika służący do
wczytywania profili programów dla modułu bezpieczeństwa AppArmor jądra
Linuksa. Ten pakiet jest częścią zestawu narzędzi nazywanych
SubDomain.

%prep
%setup -q -n apparmor-%{version}
%patch -P0 -p1
%patch -P1 -p1
%patch -P2 -p1

# avoid unnecessary rebuilding on install
%{__sed} -i -e '/^\.PHONY: af_names.h/d' parser/Makefile
%{__sed} -i -e '/^\.\(PHONY\|SILENT\): \$(AAREOBJECT)/d' parser/Makefile

%build
%{__make} -j1 -C parser \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcflags} %{rpmcppflags}" \
	%{?with_dynamic:AAREOBJECTS='$(AAREOBJECT)' AARE_LDFLAGS= AALIB=-lapparmor} \
	USE_SYSTEM=1

%if %{with tests}
%{__make} -j1 -C parser tests \
	CC="%{__cc}" \
	%{?with_dynamic:AAREOBJECTS='$(AAREOBJECT)' AARE_LDFLAGS=-lstdc++ AALIB=-lapparmor} \
	USE_SYSTEM=1
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,/lib/apparmor,/var/cache/apparmor}

%{__make} -C parser install \
	DESTDIR=$RPM_BUILD_ROOT \
	DISTRO=systemd \
	SYSTEMD_UNIT_DIR=$RPM_BUILD_ROOT%{systemdunitdir} \
	USE_SYSTEM=1

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/apparmor

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add apparmor

%preun
if [ "$1" = "0" ]; then
        /sbin/chkconfig --del apparmor
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc parser/README
%attr(755,root,root) /sbin/apparmor_parser
%attr(755,root,root) %{_sbindir}/aa-teardown
%dir %{_sysconfdir}/apparmor
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apparmor/parser.conf
%attr(754,root,root) /etc/rc.d/init.d/apparmor
%{systemdunitdir}/apparmor.service
%dir /lib/apparmor
%attr(755,root,root) /lib/apparmor/profile-load
/lib/apparmor/rc.apparmor.functions
%attr(754,root,root) /lib/apparmor/apparmor.systemd
%attr(700,root,root) %dir /var/cache/apparmor
%{_mandir}/man5/apparmor.d.5*
%{_mandir}/man7/apparmor.7*
%{_mandir}/man7/apparmor_xattrs.7*
%{_mandir}/man8/aa-teardown.8*
%{_mandir}/man8/apparmor_parser.8*
%changelog
* Thu Feb 27 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apparmor-parser.git;a=log;h=master

* Thu Feb 27 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 6b2889f
- Up to 4.0.3

* Wed Jul 31 2024 Arkadiusz Miśkiewicz <arekm@maven.pl> f2687fa
- Up to 4.0.2

* Sun Apr 21 2024 Jakub Bogusz <qboosh@pld-linux.org> a85f2d1
- updated URLs

* Sun Apr 21 2024 Jakub Bogusz <qboosh@pld-linux.org> 9a3e885
- updated to 3.1.7

* Fri Jan 19 2024 Arkadiusz Miśkiewicz <arekm@maven.pl> 88d0525
- Up to 3.1.6

* Thu Apr 06 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 7271e51
- Up to 3.0.9

* Tue Nov 29 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> f7d57c3
- Up to 3.0.8.

* Fri Sep 16 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 92aa3d0
- Rel 2; silence warning

* Fri Sep 09 2022 Jakub Bogusz <qboosh@pld-linux.org> ccf1e6d
- package profile-load

* Wed Sep 07 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> d860f51
- Up to 3.0.7.

* Mon Mar 28 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 9c72ec9
- Up to 3.0.4.

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 2f9863f
- rebuild with separate debuginfo build-ids

* Thu Apr 01 2021 Jan Rękorajski <baggins@pld-linux.org> c475ec3
- release 2 (by relup.sh)

* Thu Apr 01 2021 Jan Rękorajski <baggins@pld-linux.org> e2dc723
- rediff patch

* Sun Feb 07 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 8ae0610
- dir for profiles cache

* Sun Feb 07 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> bad957a
- apply correctly

* Sun Feb 07 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 70cbcb5
- use config option for profile cache

* Sun Feb 07 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> ba03787
- up to 3.0.1

* Thu Jul 16 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> fb06450
- rel 2; fixes from archlinux

* Sun May 03 2020 Jakub Bogusz <qboosh@pld-linux.org> e65de87
- updated to 2.13.4

